# 2. Project management

This week I worked on defining my final project idea and started to getting used to the documentation process.

## Work through a git tutorial

This week I started to getting used to the documentation process.

To start the development of the repository, we must first synchronize the space on the web with the directory on the PC, we follow these steps:

Next, we detail each step:

Git download and installation: Git’s homepage
Git Download
![](../images/Git.jpg)

## General Public License
Version 2, June 1991

![](../images/License.jpg)


## We apply the following commands:

  $ git config –global user.name “Your User name”
  $ git config –global user.email “Your e-mail”

![](../images/Your-user.jpg)

  In the first one, we write our name. In the second, we write our email add

Repository cloning with Git
We create a folder in which the web files to be cloned will be stored, and then we run Git:

## We copy and paste the Public SSH key to validate the clone:

  $ cat ~/.ssh/id_rsa.pub

![](../images/E-Git.jpg)

## We copy and paste the Public SSH key to validate the clone:

  $ cat ~/.ssh/id_rsa.pub

![](../images/Copy.jpg)


## We copy encrypted password.

## Actualización de repositorio Remoto
$ git status
$ git add .
$ git commit -m "hola mundo"
$ git push

![](../images/Comando.jpg)

## Build a personal site in the class archive describing you and your final project¶
Sublime Text Download and installation: Sublime Text’s homepage
Sublime Text Software download

## Build a personal site in the class archive describing you and your final project
Sublime Text Download and installation: Sublime Text’s homepage
Sublime Text Software download

![](../images/Sublime2.jpg)

## Edit web pages with Sub
lime Text.
We open the page to edit with Sublime Text.

![](../images/SublimeText.jpg)

## Update cloud web repository with git:
This is the page before update.
![](../images/Program.jpg)



## Finally, we can see our updated page.